Gecode::Iter::Values::Offset< I > Class Template Reference
Common functionality » Range and value iterators » Value iterators

Value iterator for pointwise offset (by some constant). More...

`#include <values-offset.hpp>`

## Protected Attributes

I | i
| Input iterator.
int | c
| Offset for ranges.

## Constructors and initialization

| Offset (void)
| Default constructor.
| Offset (I &i, int c)
| Initialize with values from i and offset c.
void | init (I &i, int c)
| Initialize with values from i and offset c.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Detailed Description

template<class I>
class Gecode::Iter::Values::Offset< I >

Value iterator for pointwise offset (by some constant).

Definition at line 42 of file values-offset.hpp.

## Constructor & Destructor Documentation

## Offset() [1/2]

template<class I>

Gecode::Iter::Values::Offset< I >::Offset | ( | void |  | ) |

inline

Default constructor.

Definition at line 77 of file values-offset.hpp.

## Offset() [2/2]

template<class I>

Gecode::Iter::Values::Offset< I >::Offset | ( | I & | i,
|  | int | c )

inline

Initialize with values from i and offset c.

Definition at line 87 of file values-offset.hpp.

## Member Function Documentation

## init()

template<class I>

void Gecode::Iter::Values::Offset< I >::init | ( | I & | i,
|  | int | c )

inline

Initialize with values from i and offset c.

Definition at line 81 of file values-offset.hpp.

## operator()()

template<class I>

bool Gecode::Iter::Values::Offset< I >::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 96 of file values-offset.hpp.

## operator++()

template<class I>

void Gecode::Iter::Values::Offset< I >::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 91 of file values-offset.hpp.

## val()

template<class I>

int Gecode::Iter::Values::Offset< I >::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 102 of file values-offset.hpp.

## Member Data Documentation

## i

template<class I>

I Gecode::Iter::Values::Offset< I >::i

protected

Input iterator.

Definition at line 45 of file values-offset.hpp.

## c

template<class I>

int Gecode::Iter::Values::Offset< I >::c

protected

Offset for ranges.

Definition at line 47 of file values-offset.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/values-offset.hpp